module test;

import dsfml.window.all;
import dsfml.system.all;
import dsfml.graphics.all;

import tileconsumer;
import renderer;
import consumer;
import imagecache;
import tilemap;
import tileset;
import xmlmap;
import tools;

int main(char[][] args) {
    Cache cache = new Cache("gfx");
    Tilemap map = parse_map(cache, read_file_contents("map-example.xml"));
    Renderer render = new Renderer("Blubb", 600, 480, 32);
    TileConsumer consumer = new TileConsumer(render, map);
    render.add_consumer(consumer);

    render.mainloop();
    return 0; 
}
